rte_cryptodev_asymmetric_xform_capability(3)

NAME
rte_cryptodev_asymmetric_xform_capability

SYNOPSIS

#include <rte_cryptodev.h>

  Data Fields

enum rte_crypto_asym_xform_type xform_type
uint32_t op_types
uint64_t hash_algos

Detailed Description

Asymmetric Xform Crypto Capability

Definition at line 163 of file rte_cryptodev.h.

Field Documentation

  enum rte_crypto_asym_xform_type xform_type
Transform type: RSA/MODEXP/DH/DSA/MODINV

Definition at line 164 of file rte_cryptodev.h.

  uint32_t op_types
Bitmask for supported rte_crypto_asym_op_type or rte_crypto_ml_kem_op_type or rte_crypto_ml_dsa_op_type or rte_crypto_asym_ke_type. Which enum is used is determined by the rte_crypto_asym_xform_type. For key exchange algorithms like Diffie-Hellman it is rte_crypto_asym_ke_type, for ML-KEM algorithms it is rte_crypto_ml_kem_op_type, for ML-DSA algorithms it is rte_crypto_ml_dsa_op_type, or others it is rte_crypto_asym_op_type.

Definition at line 167 of file rte_cryptodev.h.

  struct rte_crypto_param_range modlen
Range of modulus length supported by modulus based xform. Value 0 mean implementation default

Definition at line 181 of file rte_cryptodev.h.

  uint8_t internal_rng
Availability of random number generator for Elliptic curve based xform. Value 0 means unavailable, and application should pass the required random value. Otherwise, PMD would internally compute the random number.

Definition at line 186 of file rte_cryptodev.h.

  uint32_t op_capa[RTE_CRYPTO_ASYM_OP_LIST_END]
Operation specific capabilities.

Definition at line 192 of file rte_cryptodev.h.

  uint32_t mlkem_capa[RTE_CRYPTO_ML_KEM_OP_END]
Bitmask of supported ML-KEM parameter sets.

Definition at line 195 of file rte_cryptodev.h.

  uint32_t mldsa_capa[RTE_CRYPTO_ML_DSA_OP_END]
Bitmask of supported ML-DSA parameter sets.

Definition at line 198 of file rte_cryptodev.h.

  uint64_t hash_algos
Bitmask of hash algorithms supported for op_type.

Definition at line 202 of file rte_cryptodev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.